import java.util.Random;

public class GuessFrame extends javax.swing.JFrame {

    Random R = new Random();
    int mystery;
    int guess;
    int count;
    
    /** Creates new form GuessFrame */
    public GuessFrame() {
        initComponents();
    }

    
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jButtonReset = new javax.swing.JButton();
        jButtonGuess = new javax.swing.JButton();
        jTextGuess = new javax.swing.JTextField();
        jTextResult = new javax.swing.JTextField();
        jTextCount = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setBackground(new java.awt.Color(204, 204, 204));

        jButtonReset.setText("Reset");
        jButtonReset.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonResetActionPerformed(evt);
            }
        });

        jButtonGuess.setText("Guess");
        jButtonGuess.setEnabled(false);
        jButtonGuess.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonGuessActionPerformed(evt);
            }
        });

        jTextGuess.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        jTextGuess.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                jTextGuessKeyPressed(evt);
            }
        });

        jTextResult.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jTextCount.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        jLabel1.setText("SuperGuess2015");

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jButtonGuess, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 81, Short.MAX_VALUE)
                    .addComponent(jTextGuess, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 81, Short.MAX_VALUE)
                    .addComponent(jButtonReset, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 81, Short.MAX_VALUE)
                    .addComponent(jTextCount, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 81, Short.MAX_VALUE)
                    .addComponent(jTextResult, javax.swing.GroupLayout.DEFAULT_SIZE, 81, Short.MAX_VALUE)
                    .addComponent(jLabel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jButtonReset)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jTextGuess, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButtonGuess)
                .addGap(11, 11, 11)
                .addComponent(jTextResult, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(jTextCount, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(jLabel1)
                .addContainerGap(26, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonResetActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonResetActionPerformed
        mystery=R.nextInt(100)+1;
        System.out.println(mystery);
        jTextGuess.setText("");
        jTextResult.setText("");
        count=0;
        String s = Integer.toString(count);
        jTextCount.setText(s);
        jButtonGuess.setEnabled(true);
        jButtonReset.setEnabled(false);
    }//GEN-LAST:event_jButtonResetActionPerformed

    private void jButtonGuessActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonGuessActionPerformed
        checkGuess();
    }//GEN-LAST:event_jButtonGuessActionPerformed

    private void jTextGuessKeyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_jTextGuessKeyPressed
        int whichKey = evt.getKeyCode();
        if (whichKey==10) {
            checkGuess();
        }
    }//GEN-LAST:event_jTextGuessKeyPressed

    public void checkGuess(){
        String s = jTextGuess.getText();
        try{
          guess = Integer.parseInt(s);
        }
        catch(Exception e){
            System.out.println("not a number");
            return;
        }
        
        if (guess<mystery) {
            jTextResult.setText("Too low!");
        }
        else if (guess>mystery) {
            jTextResult.setText("Too high!");
        }
        else {
            jTextResult.setText("GOT IT!");
            jButtonReset.setEnabled(true);
            jButtonGuess.setEnabled(false);
        }
        
        count++;
        s = Integer.toString(count);
        jTextCount.setText(s);
        jTextGuess.setText("");
        
        //jTextCount.setText(Integer.toString(count));
        //jTextCount.setText("" + count);
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {

            public void run() {
                new GuessFrame().setVisible(true);
            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonGuess;
    private javax.swing.JButton jButtonReset;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JTextField jTextCount;
    private javax.swing.JTextField jTextGuess;
    private javax.swing.JTextField jTextResult;
    // End of variables declaration//GEN-END:variables
}
