import java.util.Random;

public class MethodSamples {

    UserInput UI = new UserInput();
    Random R = new Random();
    int money=100;

    public void sayHello(){
        System.out.println("Hello");
    }

    public void sayHello(int num){
        for(int k=0; k<num; k=k+1)
            System.out.println("Hello");
    }

    public void sayStuff(String word, int num){
        for(int k=0; k<num; k=k+1)
            System.out.println(word);
    }

    public void showAreaOfRect(double height, double width){
        double area = height*width;
        System.out.println("Area is " + area);
    }

    public double areaOfRect(double height, double width){
        double area = height*width;
        return(area);
    }

    public double findMoney(double money, double rate, int years){
        for(int k=1; k<=years; k=k+1)
            money = money + (money*rate);
        return(money);
    }

    public void upMoney(int amount){
        if (amount>0)
            money = money + amount;
    }

    public int upMoney(int themoney, int amount){
        if (amount>0)
            themoney = themoney + amount;
        return(themoney);
    }

    public int getGoodGrade(){
        int grade=0;
        do{
            grade = UI.getInteger("Enter a grade");
            if (  (grade<0) || (grade>100)  )
                System.out.println("Not a valid grade.  Enter again.");
        }while(  (grade<0) || (grade>100)  );
        return(grade);
    }

    public int getGoodGrade(int min, int max){
        int grade=0;
        do{
            grade = UI.getInteger("Enter a grade");
            if (  (grade<min) || (grade>max)  )
                System.out.println("Not a valid grade.  Enter again.");
        }while(  (grade<min) || (grade>max)  );
        return(grade);
    }

    public String findLetterGrade(double grade){
        if (grade>=86)
            return("A");
        else if (grade>=73)
            return("B");
        else if (grade>=50)
            return("C");
        else
            return("F");
    }

    public double findAverageOfGrades(int gradecount){
        double sum = 0;
        double average = 0;
        for(int k=1; k<=gradecount; k=k+1)
            sum = sum + getGoodGrade(0,100);
        average = sum/gradecount;
        return(average);
    }

    //create a method with one parameter and no return type.  The parameter will tell the method
    //how many times to print your name out.

    //create a method with one parameter and no return type.  The parameter is the raduis of a circle.
    //the method will print out the area of the circle.

    //create a method with one parameter that returns a double.  The parameter is the radius of a circle.
    //the method will return the circumference of a circle.

    //create a method that has no parameters that returns an integer.  The method will force the user to
    //enter a positive number and return it.

    //create a method that has one parameter and returns a String.  The parameter is the temperature of H 2 O.
    //the method will return "water", "steam", or "ice" based on the parameter value.

    //create the method called   public int sumSeries(int start, int finish)    that returns the sum of all the numbers
    //from start to finish (inclusive).

    //create the method called    public int factors(int num)     that counts how many factors there are in num.
    //assume that num is a positve number the first time you code this.
    //modify the method so that if num is zero or lower the method will return 0.

    //create a method called     public int flipCoin(int flips)     .  The parameter tells the method
    //how many times to flip a coin.  Return the number of times that a head was flipped.  This method
    //should have NO printing output!  Use Random object to simulate coin toss!
    
}
